Name:           jbossxb
Version:        2.0.3
Release:        1%{?dist}
Summary:        JBoss XML Binding

Group:          Development/Libraries

License:        LGPLv2+
URL:            http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/common/jbossxb/tags/2.0.3.GA/ jbossxb-2.0.3
# tar cJf jbossxb-2.0.3.tar.xz jbossxb-2.0.3/
Source0:        %{name}-%{version}.tar.xz
Patch0:         %{name}-pom.patch

BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils

BuildRequires:  bea-stax
BuildRequires:  javassist
BuildRequires:  jboss-classpool-scoped
BuildRequires:  jboss-common-core
BuildRequires:  jboss-jaxb-2.2-api
BuildRequires:  jboss-logging
BuildRequires:  jboss-reflect
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  xerces-j2

Requires:       bea-stax
Requires:       java
Requires:       javassist
Requires:       jboss-classpool-scoped
Requires:       jboss-common-core
Requires:       jboss-logging
Requires:       jboss-reflect
Requires:       jpackage-utils
Requires:       xerces-j2

%description
JBoss XML Binding.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# can't compile stuff in the test dir...missing deps
rm -rf src/test

find -type f -name *.jar -delete
find -type f -name *.class -delete

%patch0

%build
mvn-rpmbuild package javadoc:aggregate

%install

# jar is named jboss-xml-binding.jar by default; Renamed to jbossxb.jar.
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/jboss-xml-binding.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Tue Jun 28 2012 Gerard Ryan <galileo@fedoraproject.org> - 2.0.3-1
- Initial packaging.
